Bug 243070 - x11/xkeyboard-config: add NLS option
Summary: x11/xkeyboard-config: add NLS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-03 22:45 UTC by Andrew Romanenko
Modified: 2020-07-12 07:08 UTC (History)
3 users (show)

See Also:
zeising: maintainer-feedback+
zeising: merge-quarterly?


Attachments
xkeyboard-config.patch (1.08 KB, patch)
2020-01-03 22:45 UTC, Andrew Romanenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2020-01-03 22:45:05 UTC
Created attachment 210427 [details]
xkeyboard-config.patch

Add NLS port option. Build via poudriere fine(12.1-STABLE amd64)
Comment 1 Niclas Zeising freebsd_committer 2020-01-07 09:11:01 UTC
As the comment says, the non-NLS case doesn't work properly.  Have you verified that this is still not the case?
Comment 2 Andrew Romanenko 2020-01-07 11:48:57 UTC
how to check?
Comment 3 Chris Rees freebsd_committer 2020-01-17 21:39:15 UTC
Install it with NLS disabled, and see what it happens when you run it.

https://svnweb.freebsd.org/ports/head/x11/xkeyboard-config/Makefile?revision=319759&view=markup

It was disabled 7 years ago, but on the offchance (I bet I wouldn't remember!) Koop remembers what the problem was I've added him to CC.
Comment 4 commit-hook freebsd_committer 2020-07-11 21:02:59 UTC
A commit references this bug:

Author: zeising
Date: Sat Jul 11 21:02:12 UTC 2020
New revision: 542055
URL: https://svnweb.freebsd.org/changeset/ports/542055

Log:
  x11/xkeyboard-config: Add NLS option

  Add NLS option to x11/xkeyboard-config.  This was broken in the past, but is
  fixed now.

  PR:		243070 (based on)
  Submitted by:	Andrew Romanenko
  MFH:		2020Q3
  Event:		Julu 2020 bugathon

Changes:
  head/x11/xkeyboard-config/Makefile
Comment 5 Niclas Zeising freebsd_committer 2020-07-11 21:03:48 UTC
Thank you, committed this with some changes.  Awaiting MFH.
Comment 6 commit-hook freebsd_committer 2020-07-12 07:05:54 UTC
A commit references this bug:

Author: zeising
Date: Sun Jul 12 07:05:21 UTC 2020
New revision: 542065
URL: https://svnweb.freebsd.org/changeset/ports/542065

Log:
  MFH: r542055

  x11/xkeyboard-config: Add NLS option

  Add NLS option to x11/xkeyboard-config.  This was broken in the past, but is
  fixed now.

  PR:		243070 (based on)
  Submitted by:	Andrew Romanenko
  Event:		Julu 2020 bugathon

  Approved by:	ports-secteam (joenum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/x11/xkeyboard-config/Makefile